Skip to content

Get a webhook by id

GET
/api/v1/webhooks/{webhook_id}
webhook_id
required
Webhook Id
string format: uuid

Successful Response

WebhookResponse

Webhook row as returned from the API. Secret is never echoed.

object
id
required
Id

Webhook id (UUID v7).

string format: uuid
name
required
Name

Human-readable webhook name.

string
url
required
Url

Destination URL for POST delivery.

string format: uri
>= 1 characters <= 2083 characters
events
required
Events

Event types this webhook receives.

Array<string>
Allowed values: execution.completed execution.failed storage.object.created
filter
Any of:
object
key
additional properties
any
description
Any of:
string
is_active
required
Is Active

Whether this webhook is currently delivering.

boolean
has_secret
required
Has Secret

True when a signing secret is configured.

boolean
created_at
required
Created At

When the webhook was registered.

string format: date-time
updated_at
required
Updated At

When the webhook was last modified.

string format: date-time
created_by
Any of:
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object